Create Vendor
curl --request POST \
--url https://api.paytring.com/vendor/create \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"vendor_id": "<string>",
"name": "Vendor Name",
"email": "<string>",
"phone": "<string>",
"upi_id": "<string>"
}
'import requests
url = "https://api.paytring.com/vendor/create"
payload = {
"vendor_id": "<string>",
"name": "Vendor Name",
"email": "<string>",
"phone": "<string>",
"upi_id": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vendor_id: '<string>',
name: 'Vendor Name',
email: '<string>',
phone: '<string>',
upi_id: '<string>'
})
};
fetch('https://api.paytring.com/vendor/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"success\": true,\n \"message\": \"Vendor added successfully\",\n \"vendor_id\": \"unique_vendor_id\",\n \"id\": \"unique_vendor_platform_id\"\n}\n""{}"Vendor Management
Create Vendor
The API provides a means for merchants or administrators to add new vendors to the system with essential details.
POST
/
vendor
/
create
Create Vendor
The API provides a means for merchants or administrators to add new vendors to the system with essential details.
Request Body
{
"vendor_id": "string", // Provided by merchant
"name": "string", // Vendor name (no special characters other than space)
"email": "string", // Valid email address
"phone": "string", // Vendor phone number (optional)
"upi_id": "string", // Vendor UPI ID (optional)
"bank_details": {
"account_no": "string", // Bank account number
"ifsc_code": "string" // Bank IFSC code
}
}
Responses
200 OK
{
"success": true,
"message": "Vendor added successfully",
"vendor_id": "string",
"id": "string"
}
400 Bad Request
{
"status": false,
"error": {
"message": "Invalid request",
"code": 400
}
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
provided by merchant
Vendor Name, this field will not accept any special char other then space
a valid email address
vpa of merchant, if provided will be used as a default option
Show child attributes
Show child attributes
⌘I

